Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rs
Interface RegistryRequestType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AcceptObjectsRequestType, AdhocQueryRequestType, ApproveObjectsRequestType, CatalogContentRequestType, ContentManagementServiceRequestType, DeprecateObjectsRequestType, RelocateObjectsRequestType, RemoveObjectsRequestType, SubmitObjectsRequestType, UndeprecateObjectsRequestType, UpdateObjectsRequestType, ValidateContentRequestType

All Known Implementing Classes:
  AcceptObjectsRequestTypeImpl, AdhocQueryRequestTypeImpl, ApproveObjectsRequestTypeImpl, CatalogContentRequestTypeImpl, ContentManagementServiceRequestTypeImpl, DeprecateObjectsRequestTypeImpl, RegistryRequestTypeImpl, RelocateObjectsRequestTypeImpl, RemoveObjectsRequestTypeImpl, SubmitObjectsRequestTypeImpl, UndeprecateObjectsRequestTypeImpl, UpdateObjectsRequestTypeImpl, ValidateContentRequestTypeImpl

    public interface RegistryRequestType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Request Type'. Base type for all ebXML Registry requests

The following features are supported:

- `Request Slot List`
- `Comment`
- `Id`

See Also:
  `RegistryPackage.getRegistryRequestType()`

Method Summary
`java.lang.String` | `getComment()` Returns the value of the 'Comment' attribute.
`java.lang.String` | `getId()` Returns the value of the 'Id' attribute.
`SlotListType` | `getRequestSlotList()` Returns the value of the 'Request Slot List' containment reference.
`void` | `setComment(java.lang.String value)` Sets the value of the '`Comment`' attribute.
`void` | `setId(java.lang.String value)` Sets the value of the '`Id`' attribute.
`void` | `setRequestSlotList(SlotListType value)` Sets the value of the '`Request Slot List`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRequestSlotList

    SlotListType getRequestSlotList()

  Returns the value of the 'Request Slot List' containment reference.

  If the meaning of the 'Request Slot List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Request Slot List' containment reference.
  See Also:
    `setRequestSlotList(SlotListType)`, `RegistryPackage.getRegistryRequestType_RequestSlotList()`

### setRequestSlotList

    void setRequestSlotList(SlotListType value)

  Sets the value of the '`Request Slot List`' containment reference.

  Parameters:
    `value` - the new value of the 'Request Slot List' containment reference.
  See Also:
    `getRequestSlotList()`

### getComment

    java.lang.String getComment()

  Returns the value of the 'Comment' attribute.

  If the meaning of the 'Comment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Comment' attribute.
  See Also:
    `setComment(String)`, `RegistryPackage.getRegistryRequestType_Comment()`

### setComment

    void setComment(java.lang.String value)

  Sets the value of the '`Comment`' attribute.

  Parameters:
    `value` - the new value of the 'Comment' attribute.
  See Also:
    `getComment()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `RegistryPackage.getRegistryRequestType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD